"use strict";

exports.__esModule = true;
exports.default = "\n  varying vec2 vUv;\n\n  uniform sampler2D texture;\n  uniform sampler2D texture2;\n  uniform sampler2D disp;\n\n  // uniform float time;\n  // uniform float _rot;\n  uniform float dispFactor;\n  uniform float effectFactor;\n\n  // vec2 rotate(vec2 v, float a) {\n  //  float s = sin(a);\n  //  float c = cos(a);\n  //  mat2 m = mat2(c, -s, s, c);\n  //  return m * v;\n  // }\n\n  void main() {\n\n      vec2 uv = vUv;\n\n      // uv -= 0.5;\n      // vec2 rotUV = rotate(uv, _rot);\n      // uv += 0.5;\n\n      vec4 disp = texture2D(disp, uv);\n\n      vec2 distortedPosition = vec2(uv.x + dispFactor * (disp.r*effectFactor), uv.y);\n      vec2 distortedPosition2 = vec2(uv.x - (1.0 - dispFactor) * (disp.r*effectFactor), uv.y);\n\n      vec4 _texture = texture2D(texture, distortedPosition);\n      vec4 _texture2 = texture2D(texture2, distortedPosition2);\n\n      vec4 finalTexture = mix(_texture, _texture2, dispFactor);\n\n      gl_FragColor = finalTexture;\n      // gl_FragColor = disp;\n  }\n";
module.exports = exports["default"];